<html>
<head>
<title>Ogre::NedAlignedAllocPolicy&lt; Alignment &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html">NedAlignedAllocPolicy</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::NedAlignedAllocPolicy&lt; Alignment &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__Memory.html">Memory</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::NedAlignedAllocPolicy" -->
<p>An allocation policy for use with <a class="el" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">AllocatedObject</a> and <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>, which aligns memory at a given boundary (which should be a power of 2).  
 <a href="classOgre_1_1NedAlignedAllocPolicy.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>&gt;</code></p>

<p><a href="classOgre_1_1NedAlignedAllocPolicy-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a703287276dd2ffe42a9e80d50e7a3b1d">IsValidAlignment</a> [Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment-1))==0)?+1:-1]</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a3022246458175347f4ca43857f2d7647">allocateBytes</a> (size_t count, const char *file=0, int line=0, const char *func=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a42f549070a566834130177ef4567cfa3">deallocateBytes</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a923e7730efe0fb39ef561c77f1cf7abd">getMaxAllocationSize</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum size of a single allocation.  <a href="#a923e7730efe0fb39ef561c77f1cf7abd"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#abd4a4f571c7b7c3e001f9bad8f08993b">NedAlignedAllocPolicy</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;size_t Alignment = 0&gt;<br/>
class Ogre::NedAlignedAllocPolicy&lt; Alignment &gt;</h3>

<p>An allocation policy for use with <a class="el" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">AllocatedObject</a> and <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>, which aligns memory at a given boundary (which should be a power of 2). </p>
<p>This is the class that actually does the allocation and deallocation of physical memory, and is what you will want to provide a custom version of if you wish to change how memory is allocated. </p>
<dl class="user"><dt><b></b></dt><dd>This allocation policy uses nedmalloc (<a href="http://nedprod.com/programs/portable/nedmalloc/index.html">http://nedprod.com/programs/portable/nedmalloc/index.html</a>). </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>template parameter Alignment equal to zero means use default platform dependent alignment. </dd></dl>

<p>Definition at line <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a703287276dd2ffe42a9e80d50e7a3b1d"></a><!-- doxytag: member="Ogre::NedAlignedAllocPolicy::IsValidAlignment" ref="a703287276dd2ffe42a9e80d50e7a3b1d" args="[Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment&#45;1))==0)?+1:&#45;1]" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef int <a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html">Ogre::NedAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a703287276dd2ffe42a9e80d50e7a3b1d">IsValidAlignment</a>[Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment-1))==0)?+1:-1]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00106">106</a> of file <a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="abd4a4f571c7b7c3e001f9bad8f08993b"></a><!-- doxytag: member="Ogre::NedAlignedAllocPolicy::NedAlignedAllocPolicy" ref="abd4a4f571c7b7c3e001f9bad8f08993b" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html">Ogre::NedAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html">NedAlignedAllocPolicy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00126">126</a> of file <a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3022246458175347f4ca43857f2d7647"></a><!-- doxytag: member="Ogre::NedAlignedAllocPolicy::allocateBytes" ref="a3022246458175347f4ca43857f2d7647" args="(size_t count, const char *file=0, int line=0, const char *func=0)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void* <a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html">Ogre::NedAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a3022246458175347f4ca43857f2d7647">allocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00108">108</a> of file <a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1NedAllocImpl.html#a84b61c5e96b7ee6fe3b8c9ab9a88824d">Ogre::NedAllocImpl::allocBytesAligned()</a>.</p>

</div>
</div>
<a class="anchor" id="a42f549070a566834130177ef4567cfa3"></a><!-- doxytag: member="Ogre::NedAlignedAllocPolicy::deallocateBytes" ref="a42f549070a566834130177ef4567cfa3" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html">Ogre::NedAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a42f549070a566834130177ef4567cfa3">deallocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00114">114</a> of file <a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1NedAllocImpl.html#a8ee700752f8a43198555a35c090cfe26">Ogre::NedAllocImpl::deallocBytesAligned()</a>.</p>

</div>
</div>
<a class="anchor" id="a923e7730efe0fb39ef561c77f1cf7abd"></a><!-- doxytag: member="Ogre::NedAlignedAllocPolicy::getMaxAllocationSize" ref="a923e7730efe0fb39ef561c77f1cf7abd" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html">Ogre::NedAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a923e7730efe0fb39ef561c77f1cf7abd">getMaxAllocationSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum size of a single allocation. </p>

<p>Definition at line <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00120">120</a> of file <a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
